Package org.eclipse.graphiti.internal.command

# Class AddFeatureCommandWithContext

java.lang.Object
org.eclipse.graphiti.internal.command.FeatureCommand
org.eclipse.graphiti.internal.command.FeatureCommandWithContext
org.eclipse.graphiti.internal.command.GenericFeatureCommandWithContext
org.eclipse.graphiti.internal.command.AddFeatureCommandWithContext

All Implemented Interfaces:
  `IContextHolder`, `IFeatureAndContext`, `IFeatureHolder`, `IFeatureProviderHolder`, `IDescription`, `ICommand`, `IReadOnlyProvider`

public class AddFeatureCommandWithContext extends GenericFeatureCommandWithContext
The Class AddFeatureCommandWithContext.

## Constructor Summary

Constructors
Constructor
Description
`AddFeatureCommandWithContext(IFeature feature, IContext context)`
Instantiates a new adds the feature command with context.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`execute()`
Execute.
`PictogramElement`
`getAddedPictogramElements()`
Gets the added pictogram elements.

### Methods inherited from class org.eclipse.graphiti.internal.command.GenericFeatureCommandWithContext

`canExecute, canUndo, undo`

### Methods inherited from class org.eclipse.graphiti.internal.command.FeatureCommandWithContext

`getContext`

### Methods inherited from class org.eclipse.graphiti.internal.command.FeatureCommand

`getDescription, getFeature, getFeatureProvider, isReadOnly`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureHolder

`getFeature`

## Constructor Details

### AddFeatureCommandWithContext

public AddFeatureCommandWithContext(IFeature feature, IContext context)
Instantiates a new adds the feature command with context.

Parameters:
  `feature` - the feature
  `context` - the context

## Method Details

### getAddedPictogramElements

public PictogramElement getAddedPictogramElements()
Gets the added pictogram elements.

Returns:
  the added pictogram elements

### execute

public boolean execute()
Description copied from interface: `ICommand`
Execute.

Specified by:
  `execute` in interface `ICommand`
Overrides:
  `execute` in class `GenericFeatureCommandWithContext`
Returns:
  true, if successful